Method: networkLocationBindings.get

API Version : 2026-10-01-preview

Returns the specified NetworkLocationBinding resource in the given scope.

HTTP request


GET https://compute.googleapis.com/compute/v1/projects/{project}/regions/{region}/networkLocationBindings/{networkLocationBinding}?$apiVersion=2026-10-01-preview

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

region

string

Name of the region of this request.

networkLocationBinding

string

Name of the NetworkLocationBinding resource to return.

Request body

The request body must be empty.

Response body

A regional, read-only resource that reflects the physical location(s) (i.e. clusters) to which a special-purpose VPC network is bound, across the zones of a region. Its lifecycle is managed by the service: it is created when a network using a network profile that requires location binding is created, and deleted when that network is deleted.

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "id": string,
  "creationTimestamp": string,
  "name": string,
  "description": string,
  "selfLink": string,
  "region": string,
  "selfLinkWithId": string,
  "state": enum,
  "status": {
    "bindingType": enum,
    "zonalBindings": {
      string: {
        "prodClusters": [
          string
        ]
      },
      ...
    }
  },
  "network": string
}
Fields
kind

string

Output only. Type of the resource. Always compute#networkLocationBinding for network location bindings.

id

string (uint64 format)

Output only. The unique identifier for the resource type. The server generates this identifier.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

name

string

Output only. Name of the resource. The name is generated by the server when the associated network is created.

description

string

Output only. An optional textual description of the resource.

region

string

Output only. URL of the region where the network location binding resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

state

enum

Output only. State of the binding.

status

object

Output only. Status and derived information about the network location binding.

Available from version 2026-10-01-preview.

status.bindingType

enum

Output only. Indicates whether a single cluster, specific clusters, or all clusters are allowed for instance creation.

status.zonalBindings[]

map (key: string, value: object)

Output only. The mapping of zones to their binding information, keyed by the zone, e.g. zones/us-central1-a.

status.zonalBindings[].prodClusters[]

string

Output only. Prod cluster names in the zone that this network could schedule instances in.

network

string

Output only. The network this network location binding belongs to.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.networkLocationBindings.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.